> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.ovrsea.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List quote requests

> Lists quotations and booking requests visible to the authenticated account in Hermès.



## OpenAPI

````yaml /openapi.json get /v1/quote-requests
openapi: 3.1.0
info:
  title: OVRSEA API
  version: 1.3.2
servers:
  - url: https://api.cf.ovrsea.com
security: []
paths:
  /v1/quote-requests:
    get:
      tags:
        - Quote requests
      summary: List quote requests
      description: >-
        Lists quotations and booking requests visible to the authenticated
        account in Hermès.
      parameters:
        - schema:
            format: date
            type: string
          in: query
          name: cargo_ready_from
          required: false
          description: Inclusive cargo-ready date.
        - schema:
            format: date
            type: string
          in: query
          name: cargo_ready_to
          required: false
          description: Exclusive cargo-ready date.
        - schema:
            items:
              description: >-
                Id of the arrival port, as returned by `/v1/ports/{locode}` for
                the same `freight_mode`.
              example: '2'
              pattern: ^[0-9]{1,18}$
              type: string
            type: array
          in: query
          name: destination_port_id
          required: false
        - schema:
            type: string
            enum:
              - air
              - ocean
              - rail
              - truck
          in: query
          name: freight_mode
          required: false
        - schema:
            items:
              type: string
              enum:
                - exw
                - fca
                - fas
                - fob
                - cpt
                - cfr
                - cif
                - cip
                - dap
                - ddp
                - dpu
                - dat
              example: fob
            type: array
          in: query
          name: incoterm
          required: false
        - schema:
            enum:
              - fcl
              - lcl
            type: string
          in: query
          name: load_type
          required: false
        - schema:
            items:
              description: >-
                Id of the departure port, as returned by `/v1/ports/{locode}`
                for the same `freight_mode`.
              example: '1'
              pattern: ^[0-9]{1,18}$
              type: string
            type: array
          in: query
          name: origin_port_id
          required: false
        - schema:
            enum:
              - not_answered
              - propositions_sent
            type: string
          in: query
          name: pricing_status
          required: false
          description: >-
            Active-list pricing refinement. Pending is `not_answered` and
            available is `propositions_sent`.
        - schema:
            type: string
          in: query
          name: search
          required: false
          description: Search text from the Hermès quotations list.
        - schema:
            enum:
              - chartering
              - courier
            type: string
          in: query
          name: service
          required: false
        - schema:
            default: 0
            maximum: 2147483647
            minimum: 0
            type: integer
          in: query
          name: skip
          required: false
        - schema:
            default: cargo_ready_date
            enum:
              - cargo_ready_date
              - name
            type: string
          in: query
          name: sort_by
          required: false
        - schema:
            default: desc
            enum:
              - asc
              - desc
            type: string
          in: query
          name: sort_direction
          required: false
        - schema:
            default: all
            enum:
              - all
              - active
              - accepted
              - archived_declined
              - expired
            type: string
          in: query
          name: status
          required: false
        - schema:
            default: 10
            maximum: 100
            minimum: 0
            type: integer
          in: query
          name: take
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                properties:
                  items:
                    items:
                      properties:
                        cancelled:
                          type: boolean
                        cargo_ready_date:
                          format: date
                          type:
                            - string
                            - 'null'
                        file_reference:
                          type: string
                        freight_mode:
                          type: string
                          enum:
                            - air
                            - ocean
                            - rail
                            - truck
                        incoterm:
                          enum:
                            - exw
                            - fca
                            - fas
                            - fob
                            - cpt
                            - cfr
                            - cif
                            - cip
                            - dap
                            - ddp
                            - dpu
                            - dat
                            - null
                          example: fob
                          type:
                            - string
                            - 'null'
                        load_type:
                          enum:
                            - fcl
                            - lcl
                          type: string
                        name:
                          description: Customer dossier name.
                          type: string
                        pricing_status:
                          type:
                            - string
                            - 'null'
                        service:
                          enum:
                            - chartering
                            - courier
                            - null
                          type:
                            - string
                            - 'null'
                        status:
                          description: Operational status of the quotation or booking.
                          type: string
                      required:
                        - cancelled
                        - cargo_ready_date
                        - file_reference
                        - freight_mode
                        - incoterm
                        - load_type
                        - name
                        - pricing_status
                        - service
                        - status
                      type: object
                    type: array
                  total:
                    description: Number of visible matches before pagination.
                    type: integer
                required:
                  - items
                  - total
                type: object
        '400':
          description: Invalid filter, sorting or pagination parameter.
          content:
            application/json:
              schema:
                description: Invalid filter, sorting or pagination parameter.
                type: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.